
Katello - Bug #23867

CV Package filters not handling greater than or less than properly

06/08/2018 07:21 PM - Partha Aji

Status: Duplicate   

Priority: Normal   

Assignee: Partha Aji   

Category: Content Views   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1582049 Red Hat JIRA:  

Pull request:    

Description

Given a CV that is using an exclude filter for RPMS. The filter has a rule that is using version range on a package. After changing this

rule to "Greater than",

no packages got excluded when publishing the CV.

Steps to Reproduce:

1. Create a CV with "Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server " repo

2. Create an exclude fitler for kernel pacakge like this

Type: Exclude

RPM: kernel

Version "range": between 3.10.0-327.36.3.el7 and 3.10.0-693.36.3.el7

3. update the same filter rule created in 2 to:

Type: Exclude

RPM: kernel

Version "Greater than": 3.10.0-693.36.3.el7

4. publish the CV

Actual results:

Kernel 3.10.0-862.2.3.el7 is included

Expected results:

Kernel 3.10.0-862.2.3.el7 should not be included because it is higher than 3.10.0-693.36.3

Related issues:

Is duplicate of Katello - Bug #20876: Editing a content view package filter r... Closed 09/07/2017

History

#1 - 06/08/2018 07:21 PM - Partha Aji

- Target version set to 160

#2 - 06/08/2018 07:22 PM - Partha Aji

- Bugzilla link set to 1582049

#3 - 06/08/2018 07:27 PM - Partha Aji

- Is duplicate of Bug #20876: Editing a content view package filter rule with greater or less than breaks the filter added

#4 - 06/08/2018 07:28 PM - Partha Aji

- Status changed from New to Closed
#5 - 06/13/2018 05:41 PM - Justin Sherrill

- Status changed from Closed to Duplicate

- translation missing: en.field_release set to 166
